## EOnlineButton

EOnlineButton

## Functions

GtkWidget * | e_online_button_new ()
gboolean | e_online_button_get_online ()
void | e_online_button_set_online ()

## Properties

gboolean | online | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── EOnlineButton

## Description

## Functions

### e_online_button_new ()

    GtkWidget *
    e_online_button_new (void);

### e_online_button_get_online ()

    gboolean
    e_online_button_get_online (EOnlineButton *button);

### e_online_button_set_online ()

    void
    e_online_button_set_online (EOnlineButton *button,
                                gboolean online);

## Property Details

### The `“online”` property

      “online”                   gboolean

The button state is online.

Owner: EOnlineButton

Flags: Read / Write / Construct

Default value: TRUE